.rui-field {
  &:not(:first-child) {
    margin-top: var(--spacer-default);
  }

  &__help {
    color: var(--state-color-blue);
    font-size: var(--font-size-smaller);
  }

  &__error {
    color: var(--state-color-red);
    font-size: var(--font-size-smaller);
  }

  &__field {
    display: flex;

    &__append {
      flex: none;
      padding: var(--spacer-tiny) var(--spacer-small);
      background-color: var(--component-content-background);
      border-bottom-right-radius: var(--border-radius);
      border-top-right-radius: var(--border-radius);
    }

    > :not(:last-child) {
      border-bottom-right-radius: 0;
      border-top-right-radius: 0;
    }
  }

  &--inline {
    .rui-field__field {
      input,
      select {
        flex-grow: 1;

        &:not(:last-child) {
          border-bottom-right-radius: 0;
          border-top-right-radius: 0;
        }

        &:not(:first-child) {
          border-bottom-left-radius: 0;
          border-top-left-radius: 0;
        }
      }

      > :first-child {
        border-bottom-left-radius: var(--border-radius);
        border-top-left-radius: var(--border-radius);
      }

      > :last-child {
        border-bottom-right-radius: var(--border-radius);
        border-top-right-radius: var(--border-radius);
      }
    }
  }

  // Remove rounded border on input when something else is present
  &__field:first-child:not(:last-child, .rui-dropdown__trigger) {
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
  }
}
